Summary: The basic fonts, programs and docs for an X workstation.
Name: XFree86
Version: 3.3.5
Release: 1.6.0
Copyright: MIT
Group: User Interface/X
Requires: pam >= 0.66-18, XFree86-xfs, util-linux
Prereq: /sbin/chkconfig utempter

Source0: ftp://ftp.xfree86.org/pub/XFree86/3.3.5/X335src-1.tgz
Source1: ftp://ftp.xfree86.org/pub/XFree86/3.3.5/X335src-2.tgz
Source2: ftp://ftp.xfree86.org/pub/XFree86/3.3.5/X335src-3.tgz
Source3: xserver.pamd
Source4: xdm.pamd
Source5: xfs.init
Source6: xfs.config
Source8: xdm.init
Source9: xfsft-1.1.6.tar.gz

Patch0: XFree86-3.3.4b-rh.patch
Patch1: XFree86-3.3.5-rhxdm.patch
Patch2: XFree86-3.3.5-fsstnd.patch
Patch10: XFree86-3.3.5-sparc.patch
Patch11: XFree86-3.3.4-ffb.patch
Patch12: XFree86-3.3.4b-suncards.patch
Patch13: XFree86-3.3.4-sparc2.patch
Patch14: XFree86-3.3.4-creator2.patch
Patch15: XFree86-3.3.4-newcreator.patch
Patch16: XFree86-3.3.4-sparc3.patch
Patch17: XFree86-3.3.4-mach64.patch
Patch18: XFree86-3.3.3.1-creator4.patch
Patch19: XFree86-3.3.5-nosuidxterm.patch
Patch20: XFree86-3.3.3-joy.patch
Patch21: XFree86-3.3.5-mach64_2.patch

Patch22: XFree86-3.3.5-xfsftfontdir.patch
Patch23: XFree86-3.3.5-startx_xauth.patch
Patch24: XFree86-3.3.5-xfsredhat.patch
Patch25: XFree86-3.3.3.1-ffbcrash.patch
# ==> (#2933) ru sparc keyboard
Patch26: XFree86-3.3.3.1-ru_sparc.patch
Patch28: XFree86-3.3.3.1-sparcmhead.patch
# SECURITY: fix symlink attack on xkbcomp file
Patch29: XFree86-3.3.5-xkm.patch
# fix Diamond SpeedStar A50 Xconfigurator setup
Patch30: XFree86-3.3.5-ssa50.patch
Patch31: XFree86-3.3.5-xfsalpha.patch
# new cyrix driver seems wonky
Patch32: XFree86-3.3.5-cyrix.patch
# turn of accel for sis6326 cards
Patch33: XFree86-3.3.5-sis.patch
# fix trident cards
Patch34: XFree86-3.3.5-tridentfix.patch

Exclusivearch: i386 alpha sparc m68k armv4l

%ifarch sparc
Obsoletes: X11R6.1
%endif
Obsoletes: xserver-wrapper xterm-color

BuildRoot: /var/tmp/%{name}-root

%description
The X Window System provides the base technology for developing 
graphical user interfaces. Simply stated, X draws the elements 
of the GUI on the user's screen and builds methods for sending 
user interactions back to the application. X also supports remote 
application deployment--running an application on another computer 
while viewing the input/output on your machine.  X is a powerful 
environment which supports many different applications, such as 
games, programming tools, graphics programs, text editors, etc.  
XFree86 is the version of X which runs on Linux, as well as on other 
platforms.

This package contains the basic fonts, programs and documentation
for an X workstation.  However, this package doesn't provide the
program which you will need to drive your video hardware.  To
control your video card, you'll need the particular X server
package which corresponds to your computer's video card.

If you want to install the X Window System on your machine, you'll 
need to install the XFree86 package. In addition, you will need to 
install the XFree86 package which corresponds to your video card,
the X11R6-contrib package, the Xconfigurator package and the 
XFree86-libs package. You may also need to install one of the XFree86 
fonts packages.  

And finally, if you are going to develop applications that run as 
X clients, you will also need to install XFree86-devel.

%package 75dpi-fonts
Summary: A set of 75 dpi resolution fonts for the X Window System.
Group: User Interface/X
Prereq: chkfontpath
%ifarch sparc
Obsoletes: X11R6.1-75dpi-fonts
%endif

%description 75dpi-fonts
XFree86-75dpi-fonts contains the 75 dpi fonts used
on most X Window Systems. If you're going to use the 
X Window System, you should install this package, unless 
you have a monitor which can support 100 dpi resolution. 
In that case, you may prefer the 100dpi fonts available in 
the XFree86-100dpi-fonts package.

To install the X Window System, you will need to install
the XFree86 package, the XFree86 package corresponding to
your video card, the X11R6-contrib package, the Xconfigurator
package and the XFree86-libs package.

Finally, if you are going to develop applications that run
as X clients, you will also need to install the
XFree86-devel package.

%package 100dpi-fonts
Summary: X Window System 100dpi fonts.
Group: User Interface/X
Prereq: chkfontpath
%ifarch sparc
Obsoletes: X11R6.1-100dpi-fonts
%endif

%description 100dpi-fonts
The XFree86-100dpi-fonts package contains a set of 100 dpi font used
on most Linux systems. If you're going to use the X Window System and
you have a high resolution monitor capable of 100 dpi, you should
install XFree86-100dpi-fonts. This package contains a set of 100 dpi 
fonts used on most Linux systems.

If you are installing the X Window System, you will also need to 
install the XFree86 package, the XFree86 package corresponding to 
your video card, the X11R6-contrib package, the Xconfigurator package 
and the XFree86-libs package. If you need to display certain fonts, 
you may also need to install other XFree86 fonts packages.

And finally, if you are going to develop applications that run as 
X clients, you will also need to install the XFree86-devel package.

%package cyrillic-fonts
Summary: Cyrillic fonts for X.
Group: User Interface/X
Prereq: chkfontpath

%description cyrillic-fonts
The XFree86-cyrillic-fonts package includes the Cyrillic fonts 
included with XFree86 3.3.2 and higher. 

If you use a language that requires the Cyrillic character set, you
should install XFree86-cyrillic-fonts.

%package libs
Summary: Shared libraries needed by the X Window System version 11 release 6.
Group: System Environment/Libraries
Prereq: grep /sbin/ldconfig
%ifarch sparc
Obsoletes: X11R6.1-libs
%endif

%description libs
XFree86-libs contains the shared libraries that most X programs
need to run properly. These shared libraries are in a separate package
in order to reduce the disk space needed to run X applications on a
machine without an X server (i.e., over a network).

If you are installing the X Window System on your machine, you will
need to install XFree86-libs.  You will also need to install XFree86,
one or more of the XFree86 fonts packages, Xconfigurator and 
X11R6-contrib.  If you are going to develop applications that run as
X clients, you will also need to install XFree86-devel.

%package devel
Summary: X11R6 static libraries, headers and programming man pages.
Group: Development/Libraries
%ifarch sparc
Obsoletes: X11R6.1-devel
%endif

%description devel
XFree86-devel includes the libraries, header files and documentation
you'll need to develop programs which run as X clients. XFree86-devel
includes the base Xlib library as well as the Xt and Xaw widget sets.

Install XFree86-devel if you are going to develop programs which
will run as X clients.

%package doc
Summary: Documentation on various X11 programming interfaces.
Group: Documentation

%description doc
XFree86-doc provides a great deal of documentation, in PostScript
format, on the various X APIs, libraries, and other interfaces.  If
you need low level X documentation, you will find it here.  Topics
include the X protocol, the ICCCM window manager standard, ICE
session management, the font server API, etc.

%package S3
Summary: The XFree86 server for video cards based on the S3 chip.
Group: User Interface/X Hardware Support

%description S3
XFree86-S3 is the X server for video cards based on S3 chips,
including most Number Nine cards, many Diamond Stealth cards,
Orchid Fahrenheits, the Miro Crystal 8S, most STB cards, and some
motherboards with built-in graphics accelerators (such as the IBM
ValuePoint line).  Note that if you have an S3 ViRGE based video
card, you'll need XFree86-S3V instead of XFree86-S3.

If you are installing the X Window System and you have a video card
based on an S3 chip, you should install XFree86-S3.  You will also
need to install XFree86, one or more of the XFree86 fonts packages,
X11R6-contrib, Xconfigurator and XFree86-libs. If you are going to
develop applications that will run as X clients, you will also need
to install XFree86-devel.

%package I128
Summary: The XFree86 server for Number Nine Imagine 128 video cards.
Group: User Interface/X Hardware Support

%description I128
XFree86-I128 is the X server for the Number Nine Imagine 128 and 
similar video cards.

If you are installing the X Window System and the video card in 
your system is a Number Nine Imagine 128 or similar, you'll need to 
install XFree86-I128. You'll also need to install the XFree86 package, 
one or more of the XFree86 fonts packages, the X11R6-contrib package, 
the Xconfigurator package and the XFree86-libs package.  

If you're going to be developing applications which run as X 
clients, you'll also need to install the XFree86-devel package.

%package S3V
Summary: The XFree86 server for video cards based on the S3 Virge chip.
Group: User Interface/X Hardware Support

%description S3V
XFree86-S3V is the X server for video cards based on the S3 ViRGE 
chipset.

If you are installing the X Window System and your video card is 
based on an S3 ViRGE chip, you should install XFree86-S3V.  You will 
also need to install XFree86, one or more of the XFree86 fonts packages,
X11R6-contrib, Xconfigurator and XFree86-libs.  If you're going to 
develop applications that run as X clients, you will also need to 
install XFree86-devel.

%package Mach64
Summary: The XFree86 server for Mach64 based video cards.
Group: User Interface/X Hardware Support

%description Mach64
XFree86-Mach64 is the server package for cards based on ATI's
Mach64 chip, such as the Graphics Xpression, GUP Turbo, and WinTurbo 
cards. Note that this server is known to have problems with some 
Mach64 cards. Check http://www.xfree86.org for current information 
on updating this server.

If you are installing the X Window System and the video card in your 
system is based on the Mach64 chip, you need to install XFree86-Mach64.
You will also need to install the XFree86 package, one or more of the 
XFree86 fonts packages, the X11R6-contrib package, the Xconfigurator
package and the XFree86-libs package.  And, finally, if you are going
to be developing applications that run as X clients, you will also 
need to install XFree86-devel.

%package Sun
Summary: X server for Suns with monochrome and 8-bit color SBUS framebuffers.
Group: User Interface/X Hardware Support
Obsoletes: X11R6.1-Sun

%description Sun
The XFree86-Sun package contains the X server for Sun computers with 
monochrome and 8-bit color SBUS frame buffers (for example, the CG3 and 
CG6 frame buffers).  

If you are installing the X Window System and your Sun system uses a 
CG3 or CG6 frame buffer, or another monochrome or 8-bit color SBUS
frame buffer, you'll need to install the XFree86-Sun package.  You'll
also need to install the XFree86 package, one or more of the XFree86 
fonts packages, the X11R6-contrib package, the Xconfigurator package 
and the XFree86-libs package.  

Finally, if you're going to develop applications that run as X clients,
you will also need to install XFree86-devel.

%package SunMono
Summary: X server for Sun computers with monochrome SBUS framebuffers only.
Group: User Interface/X Hardware Support
Obsoletes: X11R6.1-SunMono

%description SunMono
The XFree86-SunMono package includes an X server for Sun computers with
monochrome SBUS frame buffers only.

If you're installing the X Window System on a Sun computer with
monochrome SBUS framebuffers only, you'll need to install the
XFree86-SunMono package.  You'll also need to install the following
packages:  XFree86, one or more of the XFree86 fonts packages,
X11R6-contrib, Xconfigurator, and XFree86-libs.

If you're going to develop applications that will run as X clients, 
you'll also need to install XFree86-devel.

%package Sun24
Summary: The X server for Suns with all supported SBUS framebuffers.
Group: User Interface/X Hardware Support
Obsoletes: X11R6.1-Sun24

%description Sun24
The XFree86-Sun24 package contains the X server for Sun computers with
all supported SBUS frame buffers.

If you are installing the X Window System on a Sun computer with all
supported framebuffers, you should install the XFree86-Sun24 package.
You'll also need to install the following packages:  XFree86, one or 
more of the XFree86 fonts packages, X11R6-contrib, Xconfigurator and
XFree86-libs.

If you're developing applications that run as X clients, you'll also
need to install XFree86-devel.

%package Xvfb
Summary: A virtual framebuffer X Windows System server for XFree86.
Group: User Interface/X Hardware Support

%description Xvfb
Xvfb (X Virtual Frame Buffer) is an X server that is able to run on
machines with no display hardware and no physical input devices.
Xvfb emulates a dumb framebuffer using virtual memory.  Xvfb doesn't
open any devices, but behaves otherwise as an X display.  Xvfb is
normally used for testing servers.  Using Xvfb, the mfb or cfb code
for any depth can be exercised without using real hardware that
supports the desired depths.  Xvfb has also been used to test X clients
against unusual depths and screen configurations, to do batch
processing with Xvfb as a background rendering engine, to do load
testing, to help with porting an X server to a new platform, and to
provide an unobtrusive way of running applications which really don't
need an X server but insist on having one. 

If you need to test your X server or your X clients, you may want to
install Xvfb for that purpose.

%package Xnest
Summary: A nested XFree86 server.
Group: User Interface/X Hardware Support

%description Xnest
Xnest is an X Window System server which runs in an X window.
Xnest is actually a client of the real X server, which manages
windows and graphics requests for Xnest, while Xnest manages the
windows and graphics requests for its own clients.

You will need to install Xnest if you require an X server which
will run as a client of your real X server (perhaps for testing
purposes).

%package 8514
Summary: The XFree86 server program for older IBM 8514 or compatible video cards.
Group: User Interface/X Hardware Support

%description 8514
The XFree86-8514 package contains the X server for older IBM 8514 
video cards, or compatibles from a company such as ATI.

If you are installing the X Window System and your video card is an 
older IBM 8514 or compatible, you should install XFree86-8514. You 
will also need to install the XFree86 package, one or more of the 
XFree86 fonts packages, the X11R6-contrib package, the Xconfigurator
package and the XFree86-libs package.

If you are going to develop applications that run as X clients,
you will also need to install the XFree86-devel package.

%package AGX
Summary: The XFree86 server for AGX-based video cards.
Group: User Interface/X Hardware Support

%description AGX
The XFree86-AGX package contains the X server for AGX-based cards,
such as the Boca Vortex, Orchid Celsius, Spider Black Widow and
Hercules Graphite.

If you are installing the X Window System and the video card in
your system is an AGX, you'll need to install XFree86-AGX. You
will also need to install the XFree86 package, one or more of the
XFree86 fonts packages, the X11R6-contrib package, the
Xconfigurator package and the XFree86-libs package.

Finally, if you are going to develop applications that run as
X clients, you will also need to install the XFree86-devel 
package.

%package Mach32
Summary: The XFree86 server for Mach32 based video cards.
Group: User Interface/X Hardware Support

%description Mach32
XFree86-Mach32 is the X server package for video cards built around 
ATI's Mach32 chip, including the ATI Graphics Ultra Pro and Ultra
Plus.

If you are installing the X Window System and the video card in your 
system is based on the Mach32 chip, you need to install XFree86-Mach32.
You will also need to install the following packages:  XFree86, one or 
more of the XFree86 fonts packages, X11R6-contrib, Xconfigurator and
XFree86-libs.  If you are going to develop applications that run as X 
clients, you will also need to install XFree86-devel.

%package Mach8
Summary: The XFree86 server for Mach8 video cards.
Group: User Interface/X Hardware Support

%description Mach8
XFree86-Mach 8 is the X server for video cards built around
ATI's Mach8 chip, including the ATI 8514 Ultra and Graphics Ultra.

If you are installing the X Window System and the video card in your
system is based on the Mach8 chip, you need to install XFree86-Mach8.
You will also need to install the XFree86 package, one or more of the
XFree86 fonts packages, the X11R6-contrib package, the Xconfigurator
package and the XFree86-libs package.  And, finally, if you are going
to be developing applications that run as X clients, you will also
need to install XFree86-devel.

%package Mono
Summary: A generic XFree86 monochrome server for VGA cards.
Group: User Interface/X Hardware Support

%description Mono
XFree86-Mono is a generic monochrome (two color) server for VGA cards.
XFree86-Mono will work for nearly all VGA compatible cards, but will
only support a monochrome display.

If you are installing the X Window System and your VGA card is not
currently supported, you should install and try either XFree86-Mono or
XFree86-VGA16, depending upon the capabilities of your display.  You
will also need to install XFree86, one or more of the XFree86
fonts packages, X11R6-contrib, Xconfigurator and XFree86-libs.  If
you're going to develop applications that run as X clients, you will
also need to install XFree86-devel.

%package P9000
Summary: The XFree86 server for P9000 cards.
Group: User Interface/X Hardware Support

%description P9000
XFree86-P9000 is the X server for video cards built around the
Weitek P9000 chip, such as most Diamond Viper cards and the 
Orchid P9000 card.

If you are installing the X Window System and you have a Weitek
P9000 based video card, you should install XFree86-P9000.  You will
also need to install XFree86, one or more of the XFree86 fonts
packages, X11R6-contrib, Xconfigurator and XFree86-libs. If you're 
going to develop applications that run as X clients, you will also 
need to install XFree86-devel.

%package SVGA
Summary: An XFree86 server for most simple framebuffer SVGA devices.
Group: User Interface/X Hardware Support

%description SVGA
An X server for most simple frame buffer SVGA devices, including 
cards built from ET4000 chips, Cirrus Logic chips, Chips and 
Technologies laptop chips, Trident 8900 and 9000 chips, and Matrox 
chips. It also works for Diamond Speedstar, Orchid Kelvins, STB
Nitros and Horizons, Genoa 8500VL, most Actix boards, and the
Spider VLB Plus. This X server works for many other chips and cards,
so try this server if you are having problems.

%package VGA16
Summary: A generic XFree86 server for VGA16 boards.
Group: User Interface/X Hardware Support

%description VGA16
XFree86-VGA16 is a generic 16 color server for VGA boards. 
XFree86-VGA16 will work on nearly all VGA style graphics boards, but 
will only support a low resolution, 16 color display.

If you are installing the X Window System and your VGA video card is
not specifically supported by another X server package, you should
install either XFree86-Mono or XFree86-VGA16, depending upon your
display's capabilities. You will also need to install the following
packages: XFree86, one or more of the XFree86 fonts packages,
X11R6-contrib, Xconfigurator and XFree86-libs.  

If you are going to develop applications that run as X clients, you 
will also need to install XFree86-devel.

%package W32
Summary: The XFree86 server for video cards based on ET4000/W32 chips.
Group: User Interface/X Hardware Support

%description W32
XFree86-W32 is the X server for cards built around ET4000/W32
chips, including the Genoa 8900 Phantom 32i, the Hercules Dynamite,
the LeadTek WinFast S200, the Sigma Concorde, the STB LightSpeed,
the TechWorks Thunderbolt, and the ViewTop PCI.

If you are installing the X Window System and your video card is
based on the ET4000/W32 chipset, you should install the XFree86-W32
package. You will also need to install the following packages: 
XFree86, one or more of the XFree86 fonts packages, X11R6-contrib, 
Xconfigurator and XFree86-libs.  

If you're going to develop applications that run as X clients, you
will also need to install XFree86-devel.

%package 3DLabs 
Summary: The XFree86 server for 3Dlabs video cards.
Group: User Interface/X Hardware Support

%description 3DLabs
XFree86-3DLabs is the X server for cards built around 3Dlabs GLINT 
and PERMEDIA chipsets, including the GLINT 500TX with IBM RGB526 
RAMDAC, the GLINT MX with IBM RGB526 and IBM RGB640 RAMDAC, the 
PERMEDIA with IBM RGB526 RAMDAC, and the PERMEDIA 2 (classic, 2a, 2v).

If you are installing the X Window System and the video card in your
system is mentioned above, you need to install XFree86-3DLabs.  You
will also need to install the XFree86 package, one of the XFree86 
fonts packages, the X11R6-contrib package, the Xconfigurator package 
and the XFree86-libs package.  

Finally, if you are going to be developing applications that run as 
X clients, you will also need to install XFree86-devel.

%package TGA
Summary: X server for systems with Digital TGA boards based on DC21040 chips.
Group: User Interface/X Hardware Support

%description TGA
The XFree86-TGA package contains an 8-bit X server for Digital TGA 
boards based on the DC21040 chip.  These adapters are often used in
Alpha workstations and are included with Alpha UDB (Multia) machines.

If you are installing the X Window System and your system uses a
Digital TGA board based on the DC21040 chip, you'll need to install
the XFree86-TGA package.  You'll also need to install the following
packages:  XFree86, one or more of the XFree86 fonts packages, 
X11R6-contrib, Xconfigurator and XFree86-libs.

If you're going to develop applications that will run as X clients,
you'll also need to install the XFree86-devel package.

%package FBDev
Summary: The X server for the generic frame buffer device on some machines.
Group: User Interface/X Hardware Support

%description FBDev
The XFree86-FBDev package contains an X server for the generic frame 
buffer device.  This X server is usually the only choice for SPARC
machines, but also has some special capabilities that make it useful
on Intel platforms, especially laptops.

First, this X server can be used as a generic driver for a chipset 
that does not yet have an Open Source driver (note that it will be 
un-accelerated).  Secondly, this X server "speaks" VESA protocols, so 
it will produce the exact timing needed by projection systems.  This 
feature is handy for using your laptop to display a presentation on a 
projection system on the road.  Your regular X server may or may not
be in synch with the projection system, but the FBDev X server will 
always work.  Thirdly, this X server can produce a larger display, at 
a higher resolution, for consoles on laptops.

%package XF86Setup
Group: User Interface/X Hardware Support
Summary: A graphical user interface configuration tool for the X Window System.
%ifarch i386
Requires: XFree86-VGA16
%endif

%package xfs
Group: System Environment/Daemons
Summary: A font server for the X Window System.
Prereq: shadow-utils
Requires: initscripts >= 4.01

%description xfs
XFree86-xfs contains a font server for XFree86.  Xfs can serve fonts
to remote X servers. The remote system will be able to use all fonts
installed on the font server, even if they are not installed on the
remote computer.

%description XF86Setup
XF86Setup is a graphical user interface configuration tool for setting
up and configuring XFree86 servers.  XF86Setup can configure video
settings, keyboard layouts, mouse types, etc.  XF86Setup can't be used
with non-VGA compatible video cards, with fixed-frequency monitors, or
with OS/2.

Install XF86Setup if you have used it before and prefer to keep using
it to configure your X server.  If you do not have a preference for
XF86Setup, you should instead install and use Xconfigurator, Red Hat's
graphical user interface configuration tool for the X Window System.

%prep
%setup -q -c -a 1 -a 2 -a 9


# install xfsft
tar x -C xc/lib -f xfsft-1.1.6/libfont.tar
patch -p0 -s -d xc/lib < xfsft-1.1.6/libfont.patch

# the mkfontdir patch that comes with xfsft 1.1.6 doesn't play
# nice with 3.3.5, so we made our own.
%patch22 -p1 -b .xfsftfontdir

# these replacement fonts.scale files have extra encodings
install -m 644 xfsft-1.1.6/fonts.scale.Speedo \
	xc/fonts/scaled/Speedo/fonts.scale
install -m 644 xfsft-1.1.6/fonts.scale.Type1 \
	xc/fonts/scaled/Type1/fonts.scale

%patch0 -p1 -b .rh
%patch1 -p1 -b .rhxdm
%patch2 -p1 -b .fsstnd

# sparc patches from ultrapenguin
%patch10 -p1 -b .sparc
%patch11 -p1 -b .ffb

# more sun patches from ultrapenguin
%patch12 -p1 -b .suncards
%patch13 -p1 -b .sparc2
%patch14 -p1 -b .creator2
%patch15 -p1 -b .newcreator
%patch16 -p1 -b .sparc3
%patch17 -p1 -b .mach64
%patch18 -p1 -b .creator4
%patch21 -p1 -b .mach64_2

# use glibc 2.1 routines for utmp, doesn't require xterm to be setuid
%patch19 -p1 -b .nosuidxterm
%patch20 -p1 -b .joy

%patch23 -p1 -b .startx_xauth
%patch24 -p1 -b .xfsredhat

# ==> (#3142) sparc creator patch
%patch25 -p1 -b .ffbcrash
# ==> (#2607)
%patch26 -p1 -b .ru_sparc
%patch28 -p1 -b .sparcmhead

# security patch for xkbcomp file (deny a symlink attack)
%patch29 -p1 -b .xkm
# Fix Xconfigurator setup of Diamond SpeedStar A50
%patch30 -p1 -b .ssa50
# fix xfs problems on alpha arch
%patch31 -p1 -b .xfsalpha
# new cyrix driver seems wonky
%patch32 -p1 -b .cyrix
# turn of accel for sis6326 cards
%patch33 -p1 -b .sis
# fix trident cards
%patch34 -p1 -b .tridentfix

%build
%ifarch alpha
make World -C xc CDEBUGFLAGS="$RPM_OPT_FLAGS -Wa,-m21164a"
%else
numprocs=`cat /proc/cpuinfo | grep processor | wc | cut -c7`
if [ "$numprocs" = "0" ]; then
  numprocs=1
fi
make World -C xc CDEBUGFLAGS="$RPM_OPT_FLAGS" MAKE="make -j$numprocs"
%endif

# silly, but it works around an apparent egcs bug that breaks netscape
# REMOVE THIS WHEN FIXED!!!
%ifarch i386
rm xc/lib/{X11,X11/unshared}/{imLcFlt.o,FilterEv.o}
rm xc/lib/{Xt,Xt/unshared}/{Event.o,Callback.o,Destroy.o,NextEvent.o}
cd xc/lib
make CDEBUGFLAGS=""
cd ../..
%endif

echo PACKAGING DOCUMENTATION
# get rid of old formatted docs
find xc/doc/hardcopy -name \*.PS.Z | xargs gzip -d
find xc/doc/hardcopy -name \*.PS | xargs gzip

groff -Tascii -ms xc/doc/misc/RELNOTES.ms > xc/doc/hardcopy/RELNOTES.txt
rm xc/doc/hardcopy/BDF/*
groff -Tascii -ms xc/doc/specs/BDF/bdf.ms > xc/doc/hardcopy/BDF/bdf.txt
rm xc/doc/hardcopy/CTEXT/*
groff -Tascii -ms xc/doc/specs/CTEXT/ctext.tbl.ms > xc/doc/hardcopy/CTEXT/ctext.tbl.txt
mkdir -p xc/doc/hardcopy/DPMS
groff -Tascii -ms xc/doc/specs/DPMS/DPMS.ms > xc/doc/hardcopy/DPMS/DPMS.txt
groff -Tascii -ms xc/doc/specs/DPMS/DPMSLib.ms > xc/doc/hardcopy/DPMS/DPMSLib.txt
rm xc/doc/hardcopy/FSProtocol/*
groff -Tascii -ms xc/doc/specs/FSProtocol/protocol.ms > xc/doc/hardcopy/FSProtocol/protocol.txt
rm xc/doc/hardcopy/ICCCM/*
groff -Tascii -ms xc/doc/specs/ICCCM/icccm.ms > xc/doc/hardcopy/ICCCM/icccm.txt
rm xc/doc/hardcopy/ICE/*
groff -Tascii -ms xc/doc/specs/ICE/ICElib.ms > xc/doc/hardcopy/ICE/ICElib.txt
groff -Tascii -ms xc/doc/specs/ICE/ice.ms > xc/doc/hardcopy/ICE/ice.txt
cp xc/doc/specs/PM/PM_spec xc/doc/hardcopy/ICE
rm xc/doc/hardcopy/SM/*
groff -Tascii -ms xc/doc/specs/SM/SMlib.ms > xc/doc/hardcopy/SM/SMlib.txt
rm xc/doc/hardcopy/XDMCP/*
groff -Tascii -ms xc/doc/specs/XDMCP/xdmcp.ms > xc/doc/hardcopy/XDMCP/xdmcp.txt
rm xc/doc/hardcopy/XIM/*
groff -Tascii -ms xc/doc/specs/XIM/xim.ms > xc/doc/hardcopy/XIM/xim.txt
rm xc/doc/hardcopy/XLFD/*
groff -Tascii -ms xc/doc/specs/XLFD/xlfd.tbl.ms > xc/doc/hardcopy/XLFD/xlfd.tbl.txt


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/pam.d
install -m 644 ${RPM_SOURCE_DIR}/xserver.pamd $RPM_BUILD_ROOT/etc/pam.d/xserver
install -m 644 ${RPM_SOURCE_DIR}/xdm.pamd $RPM_BUILD_ROOT/etc/pam.d/xdm
mkdir -p $RPM_BUILD_ROOT/etc/security/console.apps
touch $RPM_BUILD_ROOT/etc/security/console.apps/xserver

mkdir -p $RPM_BUILD_ROOT/usr/include
rm -f $RPM_BUILD_ROOT/usr/include/X11

make DESTDIR=$RPM_BUILD_ROOT install install.man -C xc

# we don't want the libz.a from XFree86 -- it's broken
rm -f $RPM_BUILD_ROOT/usr/X11R6/lib/libz.a

# setup the default X server
rm -f $RPM_BUILD_ROOT/usr/X11R6/bin/X
ln -s Xwrapper $RPM_BUILD_ROOT/usr/X11R6/bin/X

# don't make SuperProbe setuid
# don't make the servers setuid
(	cd $RPM_BUILD_ROOT/usr/X11R6/bin
	chmod 755 SuperProbe XF86_* Xsun* XF68_*
)

# we now provide a backwards compatible link for color-xterm/nxterm
{	
	pushd $RPM_BUILD_ROOT/usr/X11R6/bin
	ln -f xterm nxterm
	popd
}

# Move config config stuff to /etc/X11
mkdir -p $RPM_BUILD_ROOT/etc/X11
ln -sf ../../../../etc/X11/XF86Config $RPM_BUILD_ROOT/usr/X11R6/lib/X11/XF86Config

for i in xdm twm fs xsm; do
    rm -rf $RPM_BUILD_ROOT/etc/X11/$i
    cp -ar $RPM_BUILD_ROOT/usr/X11R6/lib/X11/$i $RPM_BUILD_ROOT/etc/X11
    rm -rf $RPM_BUILD_ROOT/usr/X11R6/lib/X11/$i
    ln -sf ../../../../etc/X11/$i $RPM_BUILD_ROOT/usr/X11R6/lib/X11/$i
done

# explicitly create X authdir
mkdir -p $RPM_BUILD_ROOT/etc/X11/xdm/authdir
chmod 0700 $RPM_BUILD_ROOT/etc/X11/xdm/authdir

# xkb 'compiled' files need to be in /var/lib/xkb, so
# /usr is NFS / read-only mountable
mkdir -p $RPM_BUILD_ROOT/var/lib/xkb
cp -a $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xkb/compiled/* \
	$RPM_BUILD_ROOT/var/lib/xkb
rm -rf $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xkb/compiled
ln -sf ../../../../../var/lib/xkb \
	$RPM_BUILD_ROOT/usr/X11R6/lib/X11/xkb/compiled

# we install our own config file for the xfs package
install -m 644 $RPM_SOURCE_DIR/xfs.config \
	$RPM_BUILD_ROOT/etc/X11/fs/config
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m 755 $RPM_SOURCE_DIR/xfs.init \
	$RPM_BUILD_ROOT/etc/rc.d/init.d/xfs
# install xfs encoding descriptions
tar x -C $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts -f xfsft-1.1.6/encodings.tar

# install service for xdm
#install -m 755 $RPM_SOURCE_DIR/xdm.init \
#	$RPM_BUILD_ROOT/etc/rc.d/init.d/xdm

# we get xinit from a separate package
rm -rf $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xinit
ln -sf ../../../../etc/X11/xinit $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xinit

# Fix up symlinks
mkdir -p $RPM_BUILD_ROOT/usr/bin $RPM_BUILD_ROOT/usr/man
mkdir -p $RPM_BUILD_ROOT/usr/include $RPM_BUILD_ROOT/usr/lib
ln -sf ../X11R6/bin $RPM_BUILD_ROOT/usr/bin/X11
ln -sf ../X11R6/man $RPM_BUILD_ROOT/usr/man/X11
ln -sf ../X11R6/include/X11 $RPM_BUILD_ROOT/usr/include/X11
ln -sf ../X11R6/lib/X11 $RPM_BUILD_ROOT/usr/lib/X11

(set +x; strip $RPM_BUILD_ROOT/usr/X11R6/bin/*)

for n in libX11.so.6.1 libICE.so.6.3 libSM.so.6.0 libXext.so.6.3 libXt.so.6.0 \
	 libXmu.so.6.0 libXaw.so.6.1 libXIE.so.6.0 libXi.so.6.0 \
	 libXtst.so.6.1; do
	ln -sf $n $RPM_BUILD_ROOT/usr/X11R6/lib/`echo $n | sed "s/\.so.*/\.so/"`
done

# this gets the wrong permissions by default -- I don't know or care why
chmod 755 $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xkb/geometry/sgi

# this certainly doesn't need to be setuid
chmod 755 $RPM_BUILD_ROOT/usr/X11R6/bin/dga

%ifarch i386 sparc m68k
  ln -sf libPEX5.so.6.0 $RPM_BUILD_ROOT/usr/X11R6/lib/libPEX5.so.6
%endif

#%post
#/sbin/chkconfig --add xdm

%pre
# here, we put things that we have moved around (like directories)
# that need to be cleaned up prior to the RPM's installation.  
# Ugly. Necessary.
if [ ! -L /usr/X11R6/lib/X11/xkb/compiled ]; then
  if [ -d /usr/X11R6/lib/X11/xkb/compiled ]; then
    mkdir -p /var/lib/xkb 2>/dev/null
    mv -f /usr/X11R6/lib/X11/xkb/compiled/* /var/lib/xkb /var/lib/xkb 2>/dev/null || :
    rmdir /usr/X11R6/lib/X11/xkb/compiled 2> /dev/null
    ln -sf ../../../../../var/lib/xkb /usr/X11R6/lib/X11/xkb/compiled 2>/dev/null || :
  fi
fi

#%postun
#if [ $1 = 0 ]; then
#    /sbin/chkconfig --del xdm
#fi

%post libs
grep "^/usr/X11R6/lib$" /etc/ld.so.conf >/dev/null 2>&1
[ $? -ne 0 ] && echo "/usr/X11R6/lib" >> /etc/ld.so.conf
/sbin/ldconfig

%postun libs
if [ "$1" = "0" ]; then
        grep -v "/usr/X11R6/lib" /etc/ld.so.conf > /etc/ld.so.conf.new
	mv -f /etc/ld.so.conf.new /etc/ld.so.conf
fi
/sbin/ldconfig

%verifyscript libs
echo -n "Looking for /usr/X11R6/lib in /etc/ld.so.conf... "
if ! grep "^/usr/X11R6/lib$" /etc/ld.so.conf > /dev/null; then
    echo "missing"
    echo "/usr/X11R6/lib missing from /etc/ld.so.conf" >&2
else
    echo "found"
fi

%post 75dpi-fonts
/usr/sbin/chkfontpath -q -a /usr/X11R6/lib/X11/fonts/75dpi

%postun 75dpi-fonts
if [ "$1" = "0" ]; then
	/usr/sbin/chkfontpath -q -r /usr/X11R6/lib/X11/fonts/75dpi
fi

%post 100dpi-fonts
/usr/sbin/chkfontpath -q -a /usr/X11R6/lib/X11/fonts/100dpi

%postun 100dpi-fonts
if [ "$1" = "0" ]; then
	/usr/sbin/chkfontpath -q -r /usr/X11R6/lib/X11/fonts/100dpi
fi

%post cyrillic-fonts
/usr/sbin/chkfontpath -q -a /usr/X11R6/lib/X11/fonts/cyrillic

%postun cyrillic-fonts
if [ "$1" = "0" ]; then
	/usr/sbin/chkfontpath -q -r /usr/X11R6/lib/X11/fonts/cyrillic
fi

%pre xfs
/usr/sbin/useradd -c "X Font Server" \
	-s /bin/false -r -d /etc/X11/fs xfs 2>/dev/null || :

%post xfs
/sbin/chkconfig --add xfs

%preun xfs
if [ $1 = 0 ]; then
    /sbin/chkconfig --del xfs
    /usr/sbin/userdel xfs 2>/dev/null || :
    /usr/sbin/groupdel xfs 2>/dev/null || :
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%config %doc /usr/X11R6/lib/X11/XF86Config.eg
%docdir /usr/X11R6/lib/X11/doc

%ifarch i386 alpha sparc
%doc /usr/X11R6/lib/X11/Cards
%endif

%dir /usr/X11R6
%dir /usr/X11R6/lib
%dir /usr/X11R6/lib/X11
%dir /usr/X11R6/lib/X11/rstart
%dir /usr/X11R6/lib/X11/rstart/commands
%dir /usr/X11R6/lib/X11/rstart/commands/x11r6
%dir /usr/X11R6/lib/X11/rstart/contexts
%dir /usr/X11R6/lib/X11/etc
%dir /usr/X11R6/lib/X11/fonts
%dir /usr/X11R6/lib/X11/xserver
%ifarch i386 alpha m68k armv4l
/usr/X11R6/lib/modules
%endif


%dir /usr/X11R6/bin

%dir /etc/X11/twm
%dir /etc/X11/xdm
%dir %attr(0700,root,root) /etc/X11/xdm/authdir
%dir /etc/X11/xsm

#%config /etc/rc.d/init.d/xdm
%config /etc/pam.d/xserver
%config /etc/pam.d/xdm
%config(missingok) /etc/security/console.apps/xserver
%config /etc/X11/twm/system.twmrc
%config /etc/X11/xsm/system.xsm
%config /etc/X11/xdm/xdm-config
%config /etc/X11/xdm/chooser
%config /etc/X11/xdm/Xsetup_0
%config /etc/X11/xdm/Xsession
%config /etc/X11/xdm/Xservers
%config /etc/X11/xdm/Xresources
%config /etc/X11/xdm/Xaccess
%config /etc/X11/xdm/TakeConsole
%config /etc/X11/xdm/GiveConsole

/usr/X11R6/lib/X11/XErrorDB
/usr/X11R6/lib/X11/XKeysymDB
/usr/X11R6/lib/X11/locale
/usr/X11R6/lib/X11/lbxproxy
/usr/X11R6/lib/X11/proxymngr
%config /usr/X11R6/lib/X11/app-defaults/*

/usr/X11R6/lib/X11/xkb
/var/lib/xkb
/usr/X11R6/lib/X11/xinit
/usr/X11R6/lib/X11/xdm
/usr/X11R6/lib/X11/twm
/usr/X11R6/lib/X11/xsm

/usr/X11R6/lib/X11/xserver/SecurityPolicy
/usr/X11R6/lib/X11/XF86Config
/usr/X11R6/lib/X11/rstart/rstartd.real
%config /usr/X11R6/lib/X11/rstart/config
/usr/X11R6/lib/X11/rstart/commands/x11r6/@List
/usr/X11R6/lib/X11/rstart/commands/x11r6/LoadMonitor
/usr/X11R6/lib/X11/rstart/commands/x11r6/Terminal
/usr/X11R6/lib/X11/rstart/commands/@List
/usr/X11R6/lib/X11/rstart/commands/ListContexts
/usr/X11R6/lib/X11/rstart/commands/ListGenericCommands
/usr/X11R6/lib/X11/rstart/contexts/@List
/usr/X11R6/lib/X11/rstart/contexts/default
/usr/X11R6/lib/X11/rstart/contexts/x11r6
/usr/X11R6/lib/X11/x11perfcomp
/usr/X11R6/lib/X11/doc
/usr/X11R6/lib/X11/etc/sun.termcap
/usr/X11R6/lib/X11/etc/sun.terminfo
/usr/X11R6/lib/X11/etc/xterm.termcap
/usr/X11R6/lib/X11/etc/xterm.terminfo

%ifarch i386 alpha sparc
/usr/X11R6/lib/X11/etc/et4000clock.c
%endif

/usr/X11R6/lib/X11/etc/xmodmap.std
/usr/X11R6/lib/X11/etc/postinst.sh
/usr/X11R6/lib/X11/etc/preinst.sh
%attr(4711,root,root)		/usr/X11R6/bin/Xwrapper
/usr/X11R6/bin/X
/usr/X11R6/bin/Xprt
/usr/X11R6/bin/lbxproxy
/usr/X11R6/bin/proxymngr
/usr/X11R6/bin/rstartd
/usr/X11R6/bin/xfindproxy
/usr/X11R6/bin/xfwp
/usr/X11R6/bin/xrx
/usr/X11R6/bin/lndir
/usr/X11R6/bin/mkdirhier
/usr/X11R6/bin/gccmakedep
/usr/X11R6/bin/mergelib
/usr/X11R6/bin/makeg
/usr/X11R6/bin/appres
/usr/X11R6/bin/bdftopcf
/usr/X11R6/bin/beforelight
/usr/X11R6/bin/bitmap
/usr/X11R6/bin/bmtoa
/usr/X11R6/bin/atobm
/usr/X11R6/bin/editres
/usr/X11R6/bin/iceauth
/usr/X11R6/bin/mkfontdir
/usr/X11R6/bin/showrgb
/usr/X11R6/bin/rstart
/usr/X11R6/bin/smproxy
/usr/X11R6/bin/twm
/usr/X11R6/bin/x11perf
/usr/X11R6/bin/x11perfcomp
/usr/X11R6/bin/Xmark
/usr/X11R6/bin/xauth
/usr/X11R6/bin/xclipboard
/usr/X11R6/bin/xcutsel
/usr/X11R6/bin/xclock
/usr/X11R6/bin/xcmsdb
/usr/X11R6/bin/xconsole
/usr/X11R6/bin/xdm
/usr/X11R6/bin/sessreg
/usr/X11R6/bin/xdpyinfo
%attr(0755,root,root)		/usr/X11R6/bin/dga
/usr/X11R6/bin/xfd
/usr/X11R6/bin/xhost
/usr/X11R6/bin/xieperf
/usr/X11R6/bin/xinit
%config /usr/X11R6/bin/startx
/usr/X11R6/bin/setxkbmap
/usr/X11R6/bin/xkbcomp
/usr/X11R6/bin/xkbevd
/usr/X11R6/bin/xkbprint
/usr/X11R6/bin/xkbvleds
/usr/X11R6/bin/xkbwatch
/usr/X11R6/bin/xkbbell
/usr/X11R6/bin/xkill
/usr/X11R6/bin/xlogo
/usr/X11R6/bin/xlsatoms
/usr/X11R6/bin/xlsclients
/usr/X11R6/bin/xlsfonts
/usr/X11R6/bin/xmag
/usr/X11R6/bin/xmh
/usr/X11R6/bin/xmodmap
/usr/X11R6/bin/xprop
/usr/X11R6/bin/xrdb
/usr/X11R6/bin/xset
/usr/X11R6/bin/xrefresh
/usr/X11R6/bin/xsetmode
/usr/X11R6/bin/xsetpointer
/usr/X11R6/bin/xsetroot
/usr/X11R6/bin/xsm
/usr/X11R6/bin/xstdcmap
/usr/X11R6/bin/xterm
/usr/X11R6/bin/nxterm
/usr/X11R6/bin/resize
/usr/X11R6/bin/xvidtune
/usr/X11R6/bin/xwd
/usr/X11R6/bin/xwininfo
/usr/X11R6/bin/xwud
/usr/X11R6/bin/xon

%ifarch i386 alpha sparc
/usr/X11R6/bin/reconfig
/usr/X11R6/bin/xf86config
/usr/X11R6/bin/scanpci
/usr/X11R6/bin/SuperProbe
%endif

/usr/X11R6/include/X11/bitmaps

%dir /usr/X11R6/man
/usr/X11R6/man/man1/lbxproxy.1x
/usr/X11R6/man/man1/proxymngr.1x
/usr/X11R6/man/man1/xfindproxy.1x
/usr/X11R6/man/man1/xfwp.1x
/usr/X11R6/man/man1/xrx.1x
/usr/X11R6/man/man1/lndir.1x
/usr/X11R6/man/man1/makestrs.1x
/usr/X11R6/man/man1/makeg.1x
/usr/X11R6/man/man1/mkdirhier.1x
/usr/X11R6/man/man1/appres.1x
/usr/X11R6/man/man1/bdftopcf.1x
/usr/X11R6/man/man1/beforelight.1x
/usr/X11R6/man/man1/bitmap.1x
/usr/X11R6/man/man1/bmtoa.1x
/usr/X11R6/man/man1/atobm.1x
/usr/X11R6/man/man1/editres.1x
/usr/X11R6/man/man1/iceauth.1x
/usr/X11R6/man/man1/mkfontdir.1x
/usr/X11R6/man/man1/showrgb.1x
/usr/X11R6/man/man1/rstart.1x
/usr/X11R6/man/man1/rstartd.1x
/usr/X11R6/man/man1/smproxy.1x
/usr/X11R6/man/man1/twm.1x
/usr/X11R6/man/man1/x11perf.1x
/usr/X11R6/man/man1/x11perfcomp.1x
/usr/X11R6/man/man1/xauth.1x
/usr/X11R6/man/man1/xclipboard.1x
/usr/X11R6/man/man1/xcutsel.1x
/usr/X11R6/man/man1/xclock.1x
/usr/X11R6/man/man1/xcmsdb.1x
/usr/X11R6/man/man1/xconsole.1x
/usr/X11R6/man/man1/xdm.1x
/usr/X11R6/man/man1/sessreg.1x
/usr/X11R6/man/man1/xdpyinfo.1x
/usr/X11R6/man/man1/dga.1x
/usr/X11R6/man/man1/xfd.1x
/usr/X11R6/man/man1/xhost.1x
/usr/X11R6/man/man1/xieperf.1x
/usr/X11R6/man/man1/xinit.1x
/usr/X11R6/man/man1/startx.1x
/usr/X11R6/man/man1/setxkbmap.1x
/usr/X11R6/man/man1/xkbcomp.1x
/usr/X11R6/man/man1/xkbevd.1x
/usr/X11R6/man/man1/xkbprint.1x
/usr/X11R6/man/man1/xkill.1x
/usr/X11R6/man/man1/xlogo.1x
/usr/X11R6/man/man1/xlsatoms.1x
/usr/X11R6/man/man1/xlsclients.1x
/usr/X11R6/man/man1/xlsfonts.1x
/usr/X11R6/man/man1/xmag.1x
/usr/X11R6/man/man1/xmh.1x
/usr/X11R6/man/man1/xmodmap.1x
/usr/X11R6/man/man1/xprop.1x
/usr/X11R6/man/man1/xrdb.1x
/usr/X11R6/man/man1/xrefresh.1x
/usr/X11R6/man/man1/xset.1x
/usr/X11R6/man/man1/xsetmode.1x
/usr/X11R6/man/man1/xsetpointer.1x
/usr/X11R6/man/man1/xsetroot.1x
/usr/X11R6/man/man1/xsm.1x
/usr/X11R6/man/man1/xstdcmap.1x
/usr/X11R6/man/man1/xterm.1x
/usr/X11R6/man/man1/resize.1x
/usr/X11R6/man/man1/xvidtune.1x
/usr/X11R6/man/man1/xwd.1x
/usr/X11R6/man/man1/xwininfo.1x
/usr/X11R6/man/man1/xwud.1x
/usr/X11R6/man/man1/xon.1x
/usr/X11R6/man/man1/Xserver.1x
/usr/X11R6/man/man1/XFree86.1x
/usr/X11R6/man/man5/XF86Config.5x

%ifarch i386 alpha sparc
/usr/X11R6/man/man1/reconfig.1x
/usr/X11R6/man/man1/xf86config.1x
/usr/X11R6/man/man1/SuperProbe.1x
%endif

%dir /usr/X11R6/lib/X11/fonts/Speedo
/usr/X11R6/lib/X11/fonts/Speedo/*.spd
%config(noreplace) /usr/X11R6/lib/X11/fonts/Speedo/fonts.*

%dir /usr/X11R6/lib/X11/fonts/Type1
/usr/X11R6/lib/X11/fonts/Type1/*.pfa
/usr/X11R6/lib/X11/fonts/Type1/*.pfb
%config(noreplace) /usr/X11R6/lib/X11/fonts/Type1/fonts.*

%dir /usr/X11R6/lib/X11/fonts/misc
/usr/X11R6/lib/X11/fonts/misc/*.gz
%config(noreplace) /usr/X11R6/lib/X11/fonts/misc/fonts.*

%config /usr/X11R6/lib/X11/rgb.txt

%ifarch i386 sparc m68k armv4l
/usr/X11R6/lib/X11/fonts/PEX
%endif

%files libs
%defattr(-,root,root,-)
/usr/X11R6/lib/*.so.6*

%files devel
%defattr(-,root,root,-)
/usr/X11R6/include
/usr/include/X11
/usr/X11R6/man/man3

/usr/X11R6/lib/X11/config
/usr/X11R6/bin/imake
/usr/X11R6/bin/makedepend
/usr/X11R6/bin/xmkmf

/usr/X11R6/man/man1/imake.1x
/usr/X11R6/man/man1/makedepend.1x
/usr/X11R6/man/man1/xmkmf.1x

/usr/X11R6/lib/*.a

/usr/X11R6/lib/*.so

%files doc
%defattr(-,root,root,-)
%doc xc/doc/hardcopy/*

%files Xvfb
%defattr(-,root,root,-)
/usr/X11R6/bin/Xvfb
/usr/X11R6/man/man1/Xvfb.1x

%files Xnest
%defattr(-,root,root,-)
/usr/X11R6/bin/Xnest
/usr/X11R6/man/man1/Xnest.1x

%ifarch i386 alpha
%files SVGA
%defattr(-,root,root,-)
/usr/X11R6/bin/XF86_SVGA
/usr/X11R6/man/man1/XF86_SVGA.1x
%endif

%ifarch i386 sparc
%files VGA16
%defattr(-,root,root,-)
/usr/X11R6/bin/XF86_VGA16
/usr/X11R6/man/man1/XF86_VGA16.1x
%endif

%ifarch i386
%files W32
%defattr(-,root,root,-)
/usr/X11R6/bin/XF86_W32
/usr/X11R6/man/man1/XF86_W32.1x
/usr/X11R6/man/man1/XF86_Accel.1x
%endif

%ifarch i386 alpha
%files Mono
%defattr(-,root,root,-)
/usr/X11R6/bin/XF86_Mono
/usr/X11R6/man/man1/XF86_Mono.1x
%endif

%ifarch i386 alpha
%files S3
%defattr(-,root,root,-)
/usr/X11R6/bin/XF86_S3
/usr/X11R6/man/man1/XF86_S3.1x
/usr/X11R6/man/man1/XF86_Accel.1x
%endif

%ifarch i386 alpha
%files S3V
%defattr(-,root,root,-)
/usr/X11R6/bin/XF86_S3V
/usr/X11R6/man/man1/XF86_S3.1x
/usr/X11R6/man/man1/XF86_Accel.1x
%endif

%ifarch i386
%files 8514
%defattr(-,root,root,-)
/usr/X11R6/bin/XF86_8514
/usr/X11R6/man/man1/XF86_8514.1x
/usr/X11R6/man/man1/XF86_Accel.1x
%endif

%ifarch i386
%files Mach8
%defattr(-,root,root,-)
/usr/X11R6/bin/XF86_Mach8
/usr/X11R6/man/man1/XF86_Mach8.1x
/usr/X11R6/man/man1/XF86_Accel.1x
%endif

%ifarch i386
%files Mach32
%defattr(-,root,root,-)
/usr/X11R6/bin/XF86_Mach32
/usr/X11R6/man/man1/XF86_Mach32.1x
/usr/X11R6/man/man1/XF86_Accel.1x
%endif

%ifarch i386 alpha sparc
%files Mach64
%defattr(-,root,root,-)
/usr/X11R6/bin/XF86_Mach64
/usr/X11R6/man/man1/XF86_Mach64.1x
/usr/X11R6/man/man1/XF86_Accel.1x
%endif

%ifarch i386 alpha
%files P9000
%defattr(-,root,root,-)
/usr/X11R6/bin/XF86_P9000
/usr/X11R6/man/man1/XF86_P9000.1x
/usr/X11R6/man/man1/XF86_Accel.1x
%endif

%ifarch i386
%files AGX
%defattr(-,root,root,-)
/usr/X11R6/bin/XF86_AGX
/usr/X11R6/man/man1/XF86_AGX.1x
/usr/X11R6/man/man1/XF86_Accel.1x
%endif

%ifarch i386
%files I128
%defattr(-,root,root,-)
/usr/X11R6/bin/XF86_I128
/usr/X11R6/man/man1/XF86_I128.1x
/usr/X11R6/man/man1/XF86_Accel.1x
%endif

%ifarch i386 alpha
%files 3DLabs
%defattr(-,root,root,-)
/usr/X11R6/bin/XF86_3DLabs
/usr/X11R6/man/man1/XF86_Accel.1x
%endif


%ifarch alpha
%files TGA
%defattr(-,root,root,-)
/usr/X11R6/bin/XF86_TGA
%endif

%ifarch m68k armv4l
%files FBDev
%defattr(-,root,root,-)
/usr/X11R6/bin/XF68_FBDev
/usr/X11R6/man/man1/XF68_FBDev.1x
%endif

%ifarch i386 alpha
%files FBDev
%defattr(-,root,root,-)
/usr/X11R6/bin/XF86_FBDev
%endif

%ifarch sparc
%files Sun
%defattr(-,root,root,-)
/usr/X11R6/bin/Xsun
%endif

%ifarch sparc
%files SunMono
%defattr(-,root,root,-)
/usr/X11R6/bin/XsunMono
%endif

%ifarch sparc
%files Sun24
%defattr(-,root,root,-)
/usr/X11R6/bin/Xsun24
%endif

%files 75dpi-fonts
%defattr(-,root,root,-)
%dir /usr/X11R6/lib/X11/fonts/75dpi
/usr/X11R6/lib/X11/fonts/75dpi/*.gz
%config(noreplace) /usr/X11R6/lib/X11/fonts/75dpi/fonts.*

%files 100dpi-fonts
%defattr(-,root,root,-)
%dir /usr/X11R6/lib/X11/fonts/100dpi
/usr/X11R6/lib/X11/fonts/100dpi/*.gz
%config(noreplace) /usr/X11R6/lib/X11/fonts/100dpi/fonts.*

%files cyrillic-fonts
%defattr(-,root,root,-)
%dir /usr/X11R6/lib/X11/fonts/cyrillic
/usr/X11R6/lib/X11/fonts/cyrillic/*.gz
%config(noreplace) /usr/X11R6/lib/X11/fonts/cyrillic/fonts.*

%ifarch i386
%files XF86Setup
%defattr(-,root,root,-)
/usr/X11R6/bin/XF86Setup
/usr/X11R6/bin/xmseconfig
/usr/X11R6/lib/X11/XF86Setup
/usr/X11R6/man/man1/XF86Setup.1x
/usr/X11R6/man/man1/xmseconfig.1x
%endif

%files xfs
%defattr(-,root,root,-)
%attr(-,xfs,xfs) %dir /etc/X11/fs
%attr(-,xfs,xfs) %config(noreplace) /etc/X11/fs/config
%config /etc/rc.d/init.d/xfs
/usr/X11R6/lib/X11/fs
/usr/X11R6/bin/fsinfo
/usr/X11R6/bin/fslsfonts
/usr/X11R6/bin/fstobdf
/usr/X11R6/bin/xfs
/usr/X11R6/man/man1/xfs.1x
/usr/X11R6/man/man1/fsinfo.1x
/usr/X11R6/man/man1/fslsfonts.1x
/usr/X11R6/man/man1/fstobdf.1x
%doc xfsft-1.1.6/CHANGES
%doc xfsft-1.1.6/LICENSE
%doc xfsft-1.1.6/README
%doc xfsft-1.1.6/THANKS
%doc xfsft-1.1.6/USAGE

%changelog
* Mon Sep 13 1999 Preston Brown <pbrown@redhat.com>
- postun for xfs changed to preun
- noaccel patch for SiS 6326 cards

* Thu Sep 09 1999 Preston Brown <pbrown@redhat.com>
- reverted to 3.3.3.1 cyrix driver -- the new one is messed up.

* Fri Sep 03 1999 Preston Brown <pbrown@redhat.com>
- xfs package hasn't needed su for awhile, removed requirement

* Thu Sep 02 1999 Preston Brown <pbrown@redhat.com>
- fix xfs problem on alpha

* Wed Sep 01 1999 Preston Brown <pbrown@redhat.com>
- compile xfs and libfont w/o optimization on alpha, seems to fix crashes

* Mon Aug 30 1999 Preston Brown <pbrown@redhat.com>
- xkbcomp security fix (symlink attack)
- Xaccess file changed to disallow logins by default
- patch Xsession in dist don't provide our own

* Thu Aug 26 1999 Preston Brown <pbrown@redhat.com>
- updated to 3.3.5 final
- more mach64 fixes for sparc to work with 3.3.5 (thanks davem)

* Wed Aug 18 1999 Preston Brown <pbrown@redhat.com>
- xfsft 1.1.6, fonts.{dir,scale} are now config files
- included proper credits/READMEs for xfsft, as well as extra encoding files

* Fri Aug 06 1999 Preston Brown <pbrown@redhat.com>
- patched to 3.3.4Z (3.3.5 release candidate)

* Mon Jul 19 1999 Preston Brown <pbrown@redhat.com>
- the big, massive, painful port of stuff to XFree86 3.3.4.
- build in parallel on the number of processors available on the machine

* Thu Jul 15 1999 Preston Brown <pbrown@redhat.com>
- xdm pam console logout problems fixed, added call to pam_getenvlist to
- set environment variables, if they are present.
- made xfs package drop privileges if directed instead of using /bin/su

* Thu Jun 24 1999 Bill Nottingham <notting@redhat.com>
- fix potential umask issues...

* Mon Jun 07 1999 Preston Brown <pbrown@redhat.com>
- incorporated all patches since release time from myself and jbj
- removed xfs port hardcode hack; changed init script to start on port -1
- package much documentation as text (not PostScript) where easily possible
- iso8859-2 keyboard input of iso8859-1 chars fixed

* Sat Apr 17 1999 Preston Brown <pbrown@redhat.com>
- march64 sparc patch seemed to mess with i386 (problems), ifarch'ed.

* Thu Apr 14 1999 Preston Brown <pbrown@redhat.com>
- added JJ's sparc LEO and Creator patch (sparc3.patch)
- icelandic xkb keyboard 

* Wed Apr 13 1999 Preston Brown <pbrown@redhat.com>
- updated PAM patch so that xdm has pam session support
- require latest version of pam
- fix setting of root color in Xsession

* Tue Apr 13 1999 Bill Nottingham <notting@redhat.com>
- don't run *dm from init script, use inittab instead
- add path to sessreg in Give/TakeConsole

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- xfs has /bin/false as shell
- xfs security patch (disable tcp connections)
- giveconsole, takeconsole from xdm make utmp/wtmp entries

* Fri Apr 09 1999 Preston Brown <pbrown@redhat.com>
- fixing xserver pam-console stuff.
- prereq utempter

* Thu Apr 08 1999 Preston Brown <pbrown@redhat.com>
- fixed pam-console stuff for Xwrapper
- added hide flag to init scripts so they don't show up in installer ntsysv

* Wed Apr 07 1999 Preston Brown <pbrown@redhat.com>
- improved xfs init script not to try to lock process 'su' but instead 'xfs',
- fixing bug # 2037.
- czech keyboard fixes
- documentation subpackage
- pam-console patch for Xwrapper from mkj

* Mon Apr 05 1999 Preston Brown <pbrown@redhat.com>
- new improved creator patch (#17)

* Thu Apr 01 1999 Preston Brown <pbrown@redhat.com>
- if I have to touch the %pre stuff for xkb again I will go totally ballistic.
- xfs prereq for shadow-utils

* Tue Mar 30 1999 Preston Brown <pbrown@redhat.com>
- xfs gets its own user (xfs), more xkb fixes

* Mon Mar 29 1999 Preston Brown <pbrown@redhat.com>
- added probing section to xdm init script
- xfs is run by user nobody for security reasons

* Sun Mar 28 1999 Preston Brown <pbrown@redhat.com>
- fix xkb link, add nosuid xterm patch.

* Sat Mar 27 1999 Bill Nottingham <notting@redhat.com>
- unlink /tmp/.X11-unix before making directory

* Sat Mar 27 1999 Jeff Johnson <jbj@redhat.com>
- integrate creator acceleration patch.

* Wed Mar 24 1999 Preston Brown <pbrown@redhat.com>
- obsoletes color-xterm, backwards compatible link as nxterm provided
- fixed up xkb stuff

* Tue Mar 23 1999 Preston Brown <pbrown@redhat.com>
- xdm init script fixes

* Mon Mar 22 1999 Preston Brown <pbrown@redhat.com>
- dvorak keymap fix
- fixed xfs upgrade error (it was turning it off by accident)
- moved xkb/compiled stuff to /var partition

* Fri Mar 19 1999 Preston Brown <pbrown@redhat.com>
- fonts.alias and fonts.dir are marked as config files now
- thinkingmouse/expertmouse movement patch included

* Wed Mar 17 1999 Preston Brown <pbrown@redhat.com>
- updated xdm.pamd to have pam-console support.
- workaround for netscape problems in %build section
- xdm.init fixes

* Mon Mar 15 1999 Preston Brown <pbrown@redhat.com>
- DGA 1.1 support + fix alpha DGA, fix unaligned trap errors for MGA cards.

* Sat Mar 13 1999 Jakub Jelinek <jj@ultra.linux.cz>
- Creator acceleration.

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group, fixed xdm to not start w/o xfs running.

* Thu Feb 18 1999 Preston Brown <pbrown@redhat.com>
- more patches from ultrapenguin for the sparc

* Mon Feb 15 1999 Preston Brown <pbrown@redhat.com>
- made xfs config file "noreplace". font packages use chkfontpath.
- hacked xfs to remove invalid paths w/o dying (used XF86Config code)
- hacked xfs to be a daemon
- improved default xfs config file
- fixed up the init scripts some

* Wed Feb 10 1999 Preston Brown <pbrown@redhat.com>
- updated xdm.init file to be bash 2 compliant.
- xdm.init inadvertently was in xfs package, moved to main package
- patch removed from Xsession, it should get set with -login flag for bash
- fixed KOI8 fontmapping for key 0xB4, also fixed ru_SU patch (bugzilla
  #1109, #1111)

* Sun Feb 07 1999 Preston Brown <pbrown@redhat.com>
- whoops, chkconfig stuff for xfs moved into its own post/postun handler.

* Fri Feb 05 1999 Preston Brown <pbrown@redhat.com>
- added init.d service for gdm/kdm/xdm
- added patch by Owen Taylor for xinput extension

* Tue Feb 02 1999 Preston Brown <pbrown@redhat.com>
- freetype fixes for alpha
- Xauth employed in startx script

* Tue Jan 26 1999 Preston Brown <pbrown@redhat.com>
- forward port back to RawHide (Red Hat 6.0)
- newer version of freetype/truetype support
- fbdev enabled on all archs (2.2 kernel!)
- 3dlabs enabled on alpha
- integrate Cristian's arm stuff
- ru_SU (KOI8-R) character set fixes to locale.alias
- xfs made into an init.d service

* Mon Jan 11 1999 Preston Brown <pbrown@redhat.com>
- integrated 3.3.3.1 patch, removed obsoleted patches.

* Mon Dec 14 1998 Preston Brown <pbrown@redhat.com>
- added permedia chipset clockchip bugfix

* Wed Dec 09 1998 Preston Brown <pbrown@redhat.com>
- alpha sockets patch added, all freetype stuff removed, ultrapeng. banner gone

* Thu Dec 03 1998 Preston Brown <pbrown@redhat.com>
- moved lib/modules and lib/X11/xkb dirs into main package to fix conflicts.

* Wed Dec 02 1998 Preston Brown <pbrown@redhat.com>
- backported package to 5.2.

* Mon Nov 30 1998 Preston Brown <pbrown@redhat.com>
- the big update to XFree 3.3.3. Lots of changes, many patches were merged in.

* Wed Nov 11 1998 Jeff Johnson <jbj@redhat.com>
- sync with ultrapenguin 1.1.
- add __alpha__ check to Imake.cf

* Thu Oct 22 1998 Preston Brown <pbrown@redhat.com>
- added empty fonts.dir and fonts.scale to TrueType dir.

* Wed Oct 21 1998 Preston Brown <pbrown@redhat.com>
- rolled in truetype support to X server / xfs via FreeType.
- separated font server stuff into a separate package

* Thu Oct 08 1998 Cristian Gafton <gafton@redhat.com>
- disabled the S3V patch introduced by Preston
- updated czech patch
- added NeoMagic NM2200 chipset support
- updated NeoMagic patches

* Mon Oct  5 1998 Jakub Jelinek <jj@ultra.linux.cz>
- Acceleration for Creator/Creator3D support.
- Show banner on startup for SPARC Mach64 server as well.

* Fri Oct 02 1998 Preston Brown <pbrown@redhat.com>
- patched cards database to use old S3V driver for most cards

* Wed Sep 30 1998 Cristian Gafton <gafton@redhat.com>
- enhance Xession to read user's .Xmodmap and .Xresources
- TGA patches from Jay
- alpha lnx_video patch from Jay Estabrook
- czech and slovak patches
- added Neomagic patches
- enabled XF86Setup
- added cyrillic fonts to the %files list
- ifarch i386 for XFree86-Setup package

* Thu Aug 27 1998 Jeff Johnson
- another 1386 -> i386 typo (sigh).

* Mon Aug 10 1998 Jeff Johnson <jbj@redhat.com>
- add PAM_TTY to xdm patch.

* Wed Jul 29 1998 Jeff Johnson <jbj@redhat.com>
- update to 3.3.2.3

* Sat Jun 27 1998 Matti Aarnio <matti.aarnio@sonera.fi>
- Four patches for 64-bit systems.

* Tue Jun 23 1998 Eddie C. Dost <ecd@skynet.be>
- Fix mach64/SPARC PCI.

* Thu Jun 11 1998 Jeff Johnson <jbj@redhat.com>
- Merge in m68k changes.

* Mon Jun  8 1998 Jeff Johnson <jbj@redhat.com>
- Add build root.

* Thu Jun 04 1998 Prospector System <bugs@redhat.com>
- translations modified for fr

* Tue Jun 02 1998 Erik Troan <ewt@redhat.com>
- added more security fixes

* Mon May 25 1998 Jakub Jelinek <jj@ultra.linux.cz>
- Merged SPARC port with 3.3.2
- Show banner on startup for Xsun* servers

* Tue May 19 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr

* Wed May 13 1998 Jeff Johnson <jbj@redhat.com>
- Merge in sparc changes.

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue May 05 1998 Jakub Jelinek <jj@ultra.linux.cz>
- Fix colormaps on SBUS cards, add /dev/fb to the list
  of checked devices even for XSunMono

* Mon May 04 1998 Erik Troan <ewt@redhat.com>
- included security fix which fixes a large number of problems

* Wed Apr 22 1998 Jakub Jelinek <jj@ultra.linux.cz>
- Fix fb mapping on non-accelerated SBUS cards
- Further PCI SPARC changes (from ecd).

* Tue Apr 14 1998 Jakub Jelinek <jj@ultra.linux.cz>
- Merge in PCI SPARC support (written by Eddie C. Dost).

* Tue Apr 07 1998 Jakub Jelinek <jj@ultra.linux.cz>
- Unmap all fb mappings before closing fb in SBUS servers,
  otherwise new kernels don't call fb_close and bad things
  happen.

* Mon Mar 30 1998 Erik Troan <ewt@redhat.com>
- switched to using the Xwrapper from XFree86 rather then a separate package

* Sat Mar 21 1998 Jakub Jelinek <jj@ultra.linux.cz>
- built sparc version against glibc

* Sat Mar 21 1998 Michal Rehacek <majkl@iname.com>
- Accelerated support for Creator/Creator3D

* Tue Mar 03 1998 Erik Troan <ewt@redhat.com>
- updated to XFree86 3.3.2

* Fri Jan 16 1998 Erik Troan <ewt@redhat.com>
- turned off setuid bit for X servers
- require xserver-wrapper (which replaces /usr/X11R6/bin/X)

* Wed Nov 05 1997 Erik Troan <ewt@redhat.com>
- removed XF86Setup
- updated file list to include some missing files

* Tue Nov 04 1997 Michael K. Johnson <johnsonm@redhat.com>
- New PAM conversation function conventions

* Mon Sep 29 1997 Erik Troan <ewt@redhat.com>
- built against tcl/tk 8.0

* Wed Sep 03 1997 Erik Troan <ewt@redhat.com>
- set libc version to 6 (which turns on thread support as well)
- used wildcards more liberally in file lists

* Tue Sep 02 1997 Erik Troan <ewt@redhat.com>
- added notiocsltc patch
- added /usr/X11R6/lib/X11/xserver/SecurityPolicy

* Fri Aug 22 1997 Erik Troan <ewt@redhat.com>
- updated to XFree86 3.3.1

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- add shlibs patch, we links shared libraries against -lc

* Thu Jun 12 1997 Erik Troan <ewt@redhat.com>
- Increased release number to 10 for glibc version

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- Updated to XFree86 3.3

* Thu Mar 20 1997 Erik Troan <ewt@redhat.com>
- Changed xdm to use xbanner
- Changed xdm paths to point to /var/run, /var/log, /etc/X11/xdm instead
  of all pointing to /usr/X11R6/lib/X11/xdm

* Thu Mar 06 1997 Erik Troan <ewt@redhat.com>
- Modified to use pam.d.
